## C.2 Command Line Options

Table 5 lists the command line options available with Data Explorer. Those most commonly used are identified by a bullet (*). Table 6 lists command line options of particular interest to developers.

Command line options always override corresponding environment variables. As such, they offer a quick way to temporarily override environment settings. If parameters conflict, the last one entered takes precedence.

Table 5. Data Explorer Command Line Options

| Option syntax | Function
--- | --- | ---
| -8bitcmap [private | shared | 0-1] | Set color-map error threshold (default: 0.1). private = -1; stored = 1.
* | -builder | Start the Data Explorer Module Builder (instead of Data Explorer).
| -cache [on | off] | Enable executive cache (default: on).
| -colors filename | Override DXCOLORS environment variable.
| -connect host:port | Start a distributed executive only (no user interface).
* | -data pathlist. | Override DXDATA environment variable.
| -directory dirname | Change directory (cd) to dirname before starting the executive.
| -display hostname:0 | Set the X-display destination.
| -dxroot dirname | Set the Data Explorer root directory (default: /usr/share/dx).
| -echo | Echo the command lines without executing them.
| -edit | Start the user interface in edit mode (default).
| -exec filename | Use the specified executive.
| -execonly | Start the executive only (no user interface) in remote mode.
| -execute | Execute the visual program automatically at start-up.
| -execute_on_change | Go into Execute On Change mode at start-up.
| -full | Start the full Data Prompter. (See also -file and -prompter.)
| -file filename | Start the Data Prompter with header file filename. (See also -full and -prompter.)
| -help | Print the abbreviated help message.
| -highlight [on | off] | Enable node execution highlighting: (default: on).
* | -host hostname | Start the executive on machine. hostname.
* | -hwrender [gl | opengl] | if both GL and OpenGL are supported, set the type of hardware-rendering used.
* | -image | Start the user interface in image mode.
| -include pathlist | Override DXINCLUDE environment variable.
| -license [runtime | develop | timed] | Request that the user interface use only the indicated functional type
| -local | Start the executive on the current machine (default).
| -log [on | off] | Enable executive and user interface logging (default: off).
* | -macros pathlist | Set list of directories to be searched for macros.
| -mdf filename | Use .mdf file filename in addition to the default mdf file.
* | -memory #Mbytes | Set the amount of memory the executive uses.
* | -menubar | Start the user interface in menubar mode.
| -metric | Set the graphical user interface to use metric units whenever possible.
| -modules pathlist | Set list of directories to be searched for outboard modules.
* | -morehelp | Print complete Help, including information about other options.
* | -optimize [memory | precision] | Set the environment variables DXPIXELTYPE and DXDELAYEDCOLORS to optimize memory or precision. (The default is precision.)
| -outboarddebug | Enable user to start outboard modules manually.
* | -program filename | Start the user interface with visual program filename.
* | -prompter | Start the Data Explorer Data Prompter (but not Data Explorer).
| -readahead [on | off] | Enable executive readahead: (default: on).
* | -script | Run the executive only (i.e., in script mode).
* | -script filename | Run the executive only (i.e., in script mode) with script filename.
| -suppress | Do not open any control panels at start-up (in image or menubar mode only).
| -timed | Start Data Explorer using a timed license.
| -timing [on | off] | Enable module timing (default: off).
| -trace [on | off] | Enable executive trace (default: off).
| -trialkey | Automatically determines the information needed to generate a trial key.
* | -tutor | Start the Data Explorer tutorial.
* | -uionly | Start the user interface only (no executive).
| -verbose | Echo command lines before executing them.
| -version | Show version numbers of dxexec and dxui.

Table 6. Command Line Options for Developers

For more detailed descriptions of functions, see Appendix D. "User Interface Configuration".
Option syntax | Function
--- | ---
-encode -key <16-digit hex number> <file> | Encode a .net file. The Visual Program Editor will not display an encoded .net file, and such a file cannot be saved. (However, .cfg configuration files can be saved.)
-key <16-digit hex number> <file> | Decodes an encoded .net file.
-limitImageOptions | Remove options from Image window's Options menu.
-noAnchorAtStartup | Start Data Explorer, but do not put up any windows by default
-noCMapOpenMap | Remove Open... option from Colormap Editor's File menu.
-noCMapSaveMap | Remove Save As... option from Colormap Editor's File menu.
-noCMapSetNameOption | Remove Set Colormap Name... option from Colormap Editor's Options menu.
-noConnectionMenus | Remove Connection menu from all Windows (intended for use with DXLink applications).
-noConfirmedQuit | Turn off the "Are you sure you want to quit Data Explorer?" message.
-noDXHelp | Remove three options from the Help menu of the control panel and the Image window.
-noEditorAccess | Remove options from the Edit menu of the control panel and the Open Visual Program Editor option from the Image window's Windows menu.
-noEditorOnError | Turn off default behavior of popping up a VPE when an error occurs. Instead, a dialog box will ask whether a VPE should be opened.
-noExecuteMenus | Remove Execute menu from all Windows (intended for use with DXLink applications).
-noExitOptions | Changes"quit" to"Close" (intended for use with DXLink applications).
-noImageLoad | Remove both Load options from the Image window's File menu.
-noImageMenus | Remove menus from all Image and Display windows.
-noImagePrinting | Remove the Print Image... option from the Image Window's File menu.
-noImageRWNetFile | Remove Open, Save, and Save As... options from the Image Window's File menu.
-noImageSaving | Remove Save Image... option from the Image Window's File menu.
-noInteractorAttributes | Remove Set Attributes... option from the Image Window's File menu.
-noInteractorEdits | Remove four set options from the control panel's Edit menu.
-noInteractorMovement | Restricts the ability to move interactor instances within a control panel.
-noMessageInfoOption | Remove the Information Messages toggle button from the Message window's Options menu.
-noMessageWarningOption | Remove the Warning Messages toggle button from the Message window's Options menu.
-noOpenAllPanels | Remove Open All Panels... option from the Panels menu of the control panel and from the Windows menu of the Image Window.
-noPanelAccess | Remove the Panels menu from the control panel and panel options from the Windows menu of the Image Window.
-noPanelEdit | Remove the Edit menu from the control panel.
-noPanelOptions | Remove the Option menu from the control panel.
-noPGroupAssignment | Remove the Execution Group Assignment... option from the Image window's Connection menu.
-noRWConfig | Remove the Open... and Save As... options from the control panel's File menu.
-noScriptCommand | Remove the Execute Script Command... option from the Message Window's Options menu.
-restrictionLevel | Combines options to facilitate building applications for Data Explorer

[ OpenDX Home at IBM | OpenDX.org ]